<?php
//USING
require_once '../Class/model/LoginModel.php';

/**
 * LoginControl - Controle de login do sistema
 *
 * Essa classe controla as requisicoes da classe login
 *
 * @version 	1.0
 * @project 	Módulo Financeiro
 * @copyright	Jay.com.br 2012
 * @access 		public
 */
class LoginControl
{
	protected $id;
	protected $action;
	protected $deletar;

	public $result;

	public function setId()
	{
		if (isset($_GET['id']))
		{
			$this->id = $_GET['id'];
		}
	}

	public function getId()
	{
		return $this->id;
	}

	public function setAction()
	{
		if (isset($_POST['action']))
		{
			$this->action = $_POST['action'];
		}
	}

	public function getAction()
	{
		return $this->action;
	}

	public function setDel()
	{
		if (isset($_GET['del']))
		{
			$this->deletar = $_GET['del'];
		}
	}

	public function getDel()
	{
		return $this->deletar;
	}

	//Constructor
	public function __construct()
	{
		$this->result = new LoginModel();
	}

	public function RealizaLogin()
	{
		$senha = md5($_POST['senha']);
		
		$this->result->verificaLoginConecta($_POST['login'], $senha);

		if ($this->result->getId() == 0)
		{
			return "senha";
		}

		return $this->result->getId();
	}

	public function ValidaSenha()
	{
		if($_POST['Id'] > 0 and empty($_POST['senha']) and empty($_POST['senha-confirmar']))
		{
			return false;
		}
		//Valida se as senhas são iguais
		$senha1 = $_POST['senha'];
		$senha2 = $_POST['senha-confirmar'];

			if (!$this->ValidaSenhas($senha1, $senha2))
			{
				return true;
			}
			else 
			{
				return false;
			}
		
	}
	
	public function ValidaLogin()
	{
		$idLogin = 0;
		
		if(isset($_POST['Id']))
		{
			$idLogin = $_POST['Id'];
		}
		
		$this->result->verificaLogin($_POST['login'], $idLogin);
		if ($this->result->getId() > 0)
		{
			return true;
		}	
		else
		{
			return false;
		}
	}
	
	public function GetData()
	{
		$this->result->setId($_POST['Id']);
		$this->result->setLogin($_POST['login']);
			
		//convert para md5
		$senha = md5($_POST['senha']);
		$this->result->setSenha($senha);
			
		$this->result->setNome($_POST['nome']);
		$this->result->setEmail($_POST['email']);
		return $this->result->save();	
	}

	public function ValidaSenhas($pSenha1, $pSenha2)
	{
		$retorno = false;

		if ($pSenha1 == $pSenha2){
			$retorno = true;
		}

		return $retorno;
	}
}

?>